/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_CGROUP_LINK_SKEL_H__
#define __TEST_CGROUP_LINK_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_cgroup_link {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *egress;
		struct bpf_program *egress_alt;
	} progs;
	struct {
		struct bpf_link *egress;
		struct bpf_link *egress_alt;
	} links;
	struct test_cgroup_link__bss {
		int calls;
		int alt_calls;
	} *bss;
};

static void
test_cgroup_link__destroy(struct test_cgroup_link *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_cgroup_link__create_skeleton(struct test_cgroup_link *obj);

static inline struct test_cgroup_link *
test_cgroup_link__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_cgroup_link *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_cgroup_link__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_cgroup_link__destroy(obj);
	return NULL;
}

static inline struct test_cgroup_link *
test_cgroup_link__open(void)
{
	return test_cgroup_link__open_opts(NULL);
}

static inline int
test_cgroup_link__load(struct test_cgroup_link *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_cgroup_link *
test_cgroup_link__open_and_load(void)
{
	struct test_cgroup_link *obj;

	obj = test_cgroup_link__open();
	if (!obj)
		return NULL;
	if (test_cgroup_link__load(obj)) {
		test_cgroup_link__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_cgroup_link__attach(struct test_cgroup_link *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_cgroup_link__detach(struct test_cgroup_link *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_cgroup_link__create_skeleton(struct test_cgroup_link *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_cgroup_link";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (typeof(s->maps))calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_cgr.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "egress";
	s->progs[0].prog = &obj->progs.egress;
	s->progs[0].link = &obj->links.egress;

	s->progs[1].name = "egress_alt";
	s->progs[1].prog = &obj->progs.egress_alt;
	s->progs[1].link = &obj->links.egress_alt;

	s->data_sz = 7112;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc8\x15\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x18\0\
\x01\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\xc3\x21\0\0\0\
\0\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb4\x02\0\0\x01\0\0\0\xc3\x21\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\0\
\0\0\x47\x50\x4c\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\
\x30\x2e\x30\x2e\x31\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\
\x2e\x31\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x2b\x65\x6c\x38\x2e\x33\x2e\x30\
\x2b\x37\x34\x35\x39\x2b\x39\x30\x63\x32\x34\x38\x39\x36\x29\0\x70\x72\x6f\x67\
\x73\x2f\x74\x65\x73\x74\x5f\x63\x67\x72\x6f\x75\x70\x5f\x6c\x69\x6e\x6b\x2e\
\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\
\x34\x30\x2e\x31\x30\x2e\x31\x2e\x65\x6c\x38\x5f\x33\x2f\x6c\x69\x6e\x75\x78\
\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x34\x30\x2e\x31\x30\x2e\x31\x2e\x65\x6c\
\x38\x5f\x33\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\0\x63\x61\x6c\x6c\x73\0\x69\x6e\x74\0\x61\x6c\x74\x5f\x63\x61\x6c\x6c\x73\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\
\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x65\x67\x72\x65\x73\x73\
\0\x65\x67\x72\x65\x73\x73\x5f\x61\x6c\x74\0\x73\x6b\x62\0\x6c\x65\x6e\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x70\x6b\
\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\
\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\
\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\
\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\
\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\
\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\
\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\
\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\
\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\
\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\
\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\
\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\
\x6e\x68\x6f\x66\x66\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\
\0\x5f\x5f\x75\x31\x36\0\x74\x68\x6f\x66\x66\0\x61\x64\x64\x72\x5f\x70\x72\x6f\
\x74\x6f\0\x69\x73\x5f\x66\x72\x61\x67\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x63\x68\x61\x72\0\x5f\x5f\x75\x38\0\x69\x73\x5f\x66\x69\x72\x73\x74\x5f\x66\
\x72\x61\x67\0\x69\x73\x5f\x65\x6e\x63\x61\x70\0\x69\x70\x5f\x70\x72\x6f\x74\
\x6f\0\x6e\x5f\x70\x72\x6f\x74\x6f\0\x5f\x5f\x62\x65\x31\x36\0\x73\x70\x6f\x72\
\x74\0\x64\x70\x6f\x72\x74\0\x69\x70\x76\x34\x5f\x73\x72\x63\0\x5f\x5f\x62\x65\
\x33\x32\0\x69\x70\x76\x34\x5f\x64\x73\x74\0\x69\x70\x76\x36\x5f\x73\x72\x63\0\
\x69\x70\x76\x36\x5f\x64\x73\x74\0\x66\x6c\x61\x67\x73\0\x66\x6c\x6f\x77\x5f\
\x6c\x61\x62\x65\x6c\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\
\x74\x73\x74\x61\x6d\x70\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x77\x69\x72\x65\
\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x73\x6b\0\x62\x6f\x75\x6e\
\x64\x5f\x64\x65\x76\x5f\x69\x66\0\x74\x79\x70\x65\0\x73\x72\x63\x5f\x69\x70\
\x34\0\x73\x72\x63\x5f\x69\x70\x36\0\x73\x72\x63\x5f\x70\x6f\x72\x74\0\x64\x73\
\x74\x5f\x70\x6f\x72\x74\0\x64\x73\x74\x5f\x69\x70\x34\0\x64\x73\x74\x5f\x69\
\x70\x36\0\x73\x74\x61\x74\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x67\x73\x6f\
\x5f\x73\x69\x7a\x65\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x01\x11\x01\x25\
\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x55\x17\0\0\x02\x34\0\x03\x0e\x49\
\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\
\x04\x01\x01\x49\x13\0\0\x05\x21\0\x49\x13\x37\x0b\0\0\x06\x24\0\x03\x0e\x0b\
\x0b\x3e\x0b\0\0\x07\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\
\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x08\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\
\x13\0\0\x09\x0f\0\x49\x13\0\0\x0a\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\
\x0b\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x0c\x0d\0\x49\x13\x3a\
\x0b\x3b\x05\x88\x01\x0f\x38\x0b\0\0\x0d\x17\x01\x0b\x0b\x3a\x0b\x3b\x05\x88\
\x01\x0f\0\0\x0e\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0f\x0d\0\x49\x13\
\x3a\x0b\x3b\x05\x38\x0b\0\0\x10\x17\x01\x0b\x0b\x3a\x0b\x3b\x05\0\0\x11\x13\
\x01\x0b\x0b\x3a\x0b\x3b\x05\0\0\0\xdc\x04\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\
\x0c\0\x45\0\0\0\0\0\0\0\x5e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xd1\0\0\0\x3f\0\
\0\0\x01\x06\x09\x03\0\0\0\0\0\0\0\0\x03\xd7\0\0\0\x05\x04\x02\xdb\0\0\0\x3f\0\
\0\0\x01\x07\x09\x03\0\0\0\0\0\0\0\0\x02\xe5\0\0\0\x70\0\0\0\x01\x17\x09\x03\0\
\0\0\0\0\0\0\0\x04\x7c\0\0\0\x05\x83\0\0\0\x04\0\x03\xee\0\0\0\x06\x01\x06\xf3\
\0\0\0\x08\x07\x07\0\0\0\0\0\0\0\0\x30\0\0\0\x01\x5a\x07\x01\0\0\x01\x0a\x3f\0\
\0\0\x08\x19\x01\0\0\x01\x0a\xd4\0\0\0\0\x07\0\0\0\0\0\0\0\0\x30\0\0\0\x01\x5a\
\x0e\x01\0\0\x01\x11\x3f\0\0\0\x08\x19\x01\0\0\x01\x11\xd4\0\0\0\0\x09\xd9\0\0\
\0\x0a\x8a\x03\0\0\xb8\x03\xdc\x0c\x0b\x1d\x01\0\0\xa5\x02\0\0\x03\xdd\x0c\0\
\x0b\x34\x01\0\0\xa5\x02\0\0\x03\xde\x0c\x04\x0b\x3d\x01\0\0\xa5\x02\0\0\x03\
\xdf\x0c\x08\x0b\x42\x01\0\0\xa5\x02\0\0\x03\xe0\x0c\x0c\x0b\x50\x01\0\0\xa5\
\x02\0\0\x03\xe1\x0c\x10\x0b\x59\x01\0\0\xa5\x02\0\0\x03\xe2\x0c\x14\x0b\x66\
\x01\0\0\xa5\x02\0\0\x03\xe3\x0c\x18\x0b\x6f\x01\0\0\xa5\x02\0\0\x03\xe4\x0c\
\x1c\x0b\x7a\x01\0\0\xa5\x02\0\0\x03\xe5\x0c\x20\x0b\x83\x01\0\0\xa5\x02\0\0\
\x03\xe6\x0c\x24\x0b\x93\x01\0\0\xa5\x02\0\0\x03\xe7\x0c\x28\x0b\x9b\x01\0\0\
\xa5\x02\0\0\x03\xe8\x0c\x2c\x0b\xa4\x01\0\0\xb7\x02\0\0\x03\xe9\x0c\x30\x0b\
\xa7\x01\0\0\xa5\x02\0\0\x03\xea\x0c\x44\x0b\xac\x01\0\0\xa5\x02\0\0\x03\xeb\
\x0c\x48\x0b\xb7\x01\0\0\xa5\x02\0\0\x03\xec\x0c\x4c\x0b\xbc\x01\0\0\xa5\x02\0\
\0\x03\xed\x0c\x50\x0b\xc5\x01\0\0\xa5\x02\0\0\x03\xee\x0c\x54\x0b\xcd\x01\0\0\
\xa5\x02\0\0\x03\xf1\x0c\x58\x0b\xd4\x01\0\0\xa5\x02\0\0\x03\xf2\x0c\x5c\x0b\
\xdf\x01\0\0\xa5\x02\0\0\x03\xf3\x0c\x60\x0b\xe9\x01\0\0\xc3\x02\0\0\x03\xf4\
\x0c\x64\x0b\xf4\x01\0\0\xc3\x02\0\0\x03\xf5\x0c\x74\x0b\xfe\x01\0\0\xa5\x02\0\
\0\x03\xf6\x0c\x84\x0b\x0a\x02\0\0\xa5\x02\0\0\x03\xf7\x0c\x88\x0b\x15\x02\0\0\
\xa5\x02\0\0\x03\xfa\x0c\x8c\x0c\x3e\x02\0\0\x03\xfb\x0c\x08\x90\x0d\x08\x03\
\xfb\x0c\x08\x0b\x1f\x02\0\0\xcf\x02\0\0\x03\xfb\x0c\0\0\x0b\xf5\x02\0\0\x15\
\x04\0\0\x03\xfc\x0c\x98\x0b\x19\x03\0\0\xa5\x02\0\0\x03\xfd\x0c\xa0\x0b\x22\
\x03\0\0\xa5\x02\0\0\x03\xfe\x0c\xa4\x0c\x83\x02\0\0\x03\xff\x0c\x08\xa8\x0d\
\x08\x03\xff\x0c\x08\x0b\x2b\x03\0\0\x27\x04\0\0\x03\xff\x0c\0\0\x0b\x81\x03\0\
\0\xa5\x02\0\0\x03\0\x0d\xb0\0\x0e\xb0\x02\0\0\x2e\x01\0\0\x02\x1b\x03\x21\x01\
\0\0\x07\x04\x04\xa5\x02\0\0\x05\x83\0\0\0\x05\0\x04\xa5\x02\0\0\x05\x83\0\0\0\
\x04\0\x09\xd4\x02\0\0\x0a\xe7\x02\0\0\x38\x03\x2c\x0f\x0b\x29\x02\0\0\xdb\x03\
\0\0\x03\x2d\x0f\0\x0b\x44\x02\0\0\xdb\x03\0\0\x03\x2e\x0f\x02\x0b\x4a\x02\0\0\
\xdb\x03\0\0\x03\x2f\x0f\x04\x0b\x55\x02\0\0\xed\x03\0\0\x03\x30\x0f\x06\x0b\
\x70\x02\0\0\xed\x03\0\0\x03\x31\x0f\x07\x0b\x7e\x02\0\0\xed\x03\0\0\x03\x32\
\x0f\x08\x0b\x87\x02\0\0\xed\x03\0\0\x03\x33\x0f\x09\x0b\x90\x02\0\0\xff\x03\0\
\0\x03\x34\x0f\x0a\x0b\x9f\x02\0\0\xff\x03\0\0\x03\x35\x0f\x0c\x0b\xa5\x02\0\0\
\xff\x03\0\0\x03\x36\x0f\x0e\x0f\x68\x03\0\0\x03\x37\x0f\x10\x10\x20\x03\x37\
\x0f\x0f\x76\x03\0\0\x03\x38\x0f\0\x11\x08\x03\x38\x0f\x0b\xab\x02\0\0\x0a\x04\
\0\0\x03\x39\x0f\0\x0b\xbb\x02\0\0\x0a\x04\0\0\x03\x3a\x0f\x04\0\x0f\x9f\x03\0\
\0\x03\x3c\x0f\0\x11\x20\x03\x3c\x0f\x0b\xc4\x02\0\0\xc3\x02\0\0\x03\x3d\x0f\0\
\x0b\xcd\x02\0\0\xc3\x02\0\0\x03\x3e\x0f\x10\0\0\x0b\xd6\x02\0\0\xa5\x02\0\0\
\x03\x41\x0f\x30\x0b\xdc\x02\0\0\x0a\x04\0\0\x03\x42\x0f\x34\0\x0e\xe6\x03\0\0\
\x3e\x02\0\0\x02\x18\x03\x2f\x02\0\0\x07\x02\x0e\xf8\x03\0\0\x6b\x02\0\0\x02\
\x15\x03\x5d\x02\0\0\x08\x01\x0e\xdb\x03\0\0\x98\x02\0\0\x04\x0a\x0e\xa5\x02\0\
\0\xb4\x02\0\0\x04\x0c\x0e\x20\x04\0\0\x13\x03\0\0\x02\x1f\x03\xfc\x02\0\0\x07\
\x08\x09\x2c\x04\0\0\x0a\x78\x03\0\0\x4c\x03\x35\x0d\x0b\x2e\x03\0\0\xa5\x02\0\
\0\x03\x36\x0d\0\x0b\xcd\x01\0\0\xa5\x02\0\0\x03\x37\x0d\x04\x0b\x3b\x03\0\0\
\xa5\x02\0\0\x03\x38\x0d\x08\x0b\x50\x01\0\0\xa5\x02\0\0\x03\x39\x0d\x0c\x0b\
\x3d\x01\0\0\xa5\x02\0\0\x03\x3a\x0d\x10\x0b\x7a\x01\0\0\xa5\x02\0\0\x03\x3b\
\x0d\x14\x0b\x40\x03\0\0\xa5\x02\0\0\x03\x3d\x0d\x18\x0b\x48\x03\0\0\xc3\x02\0\
\0\x03\x3e\x0d\x1c\x0b\x50\x03\0\0\xa5\x02\0\0\x03\x3f\x0d\x2c\x0b\x59\x03\0\0\
\xa5\x02\0\0\x03\x40\x0d\x30\x0b\x62\x03\0\0\xa5\x02\0\0\x03\x41\x0d\x34\x0b\
\x6a\x03\0\0\xc3\x02\0\0\x03\x42\x0d\x38\x0b\x72\x03\0\0\xa5\x02\0\0\x03\x43\
\x0d\x48\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x54\x03\0\0\
\x54\x03\0\0\xce\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x20\0\0\x04\xb8\
\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\x03\
\0\0\0\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\0\
\x34\0\0\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\
\0\xe0\0\0\0\x55\0\0\0\x03\0\0\0\0\x01\0\0\x5e\0\0\0\x03\0\0\0\x20\x01\0\0\x6e\
\0\0\0\x03\0\0\0\x40\x01\0\0\x76\0\0\0\x03\0\0\0\x60\x01\0\0\x7f\0\0\0\x05\0\0\
\0\x80\x01\0\0\x82\0\0\0\x03\0\0\0\x20\x02\0\0\x87\0\0\0\x03\0\0\0\x40\x02\0\0\
\x92\0\0\0\x03\0\0\0\x60\x02\0\0\x97\0\0\0\x03\0\0\0\x80\x02\0\0\xa0\0\0\0\x03\
\0\0\0\xa0\x02\0\0\xa8\0\0\0\x03\0\0\0\xc0\x02\0\0\xaf\0\0\0\x03\0\0\0\xe0\x02\
\0\0\xba\0\0\0\x03\0\0\0\0\x03\0\0\xc4\0\0\0\x07\0\0\0\x20\x03\0\0\xcf\0\0\0\
\x07\0\0\0\xa0\x03\0\0\xd9\0\0\0\x03\0\0\0\x20\x04\0\0\xe5\0\0\0\x03\0\0\0\x40\
\x04\0\0\xf0\0\0\0\x03\0\0\0\x60\x04\0\0\0\0\0\0\x08\0\0\0\x80\x04\0\0\xfa\0\0\
\0\x0a\0\0\0\xc0\x04\0\0\x01\x01\0\0\x03\0\0\0\0\x05\0\0\x0a\x01\0\0\x03\0\0\0\
\x20\x05\0\0\0\0\0\0\x0c\0\0\0\x40\x05\0\0\x13\x01\0\0\x03\0\0\0\x80\x05\0\0\
\x1c\x01\0\0\0\0\0\x08\x04\0\0\0\x22\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\0\x2f\x01\0\0\0\0\0\x01\x04\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\
\0\x01\0\0\x05\x08\0\0\0\x43\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x1a\0\
\0\0\x4d\x01\0\0\0\0\0\x08\x0b\0\0\0\x53\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\
\0\0\0\0\x01\0\0\x05\x08\0\0\0\x6a\x01\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\
\x1b\0\0\0\0\0\0\0\x01\0\0\x0d\x0f\0\0\0\x6d\x01\0\0\x01\0\0\0\x71\x01\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\x75\x01\0\0\x01\0\0\x0c\x0e\0\0\0\0\0\0\0\x01\0\0\
\x0d\x0f\0\0\0\x6d\x01\0\0\x01\0\0\0\x48\x02\0\0\x01\0\0\x0c\x11\0\0\0\x8c\x02\
\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x92\x02\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\
\x9c\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x15\0\0\
\0\x06\0\0\0\x04\0\0\0\xa1\x02\0\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\xaa\x02\0\0\
\x02\0\0\x0f\0\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\x14\0\0\0\0\0\0\0\x04\0\0\0\
\xaf\x02\0\0\x01\0\0\x0f\0\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\xb7\x02\0\0\0\0\0\
\x07\0\0\0\0\xc5\x02\0\0\0\0\0\x07\0\0\0\0\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\
\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\
\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\
\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\
\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\
\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\
\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\
\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\
\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\
\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\
\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\
\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\
\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\
\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\
\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\
\x5f\x5f\x75\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x73\x6b\0\x73\x6b\x62\0\x69\x6e\x74\0\x65\
\x67\x72\x65\x73\x73\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x65\x67\x72\
\x65\x73\x73\x31\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x32\x34\x30\x2e\x31\x30\x2e\x31\x2e\x65\x6c\x38\x5f\x33\x2f\x6c\x69\
\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x34\x30\x2e\x31\x30\x2e\x31\
\x2e\x65\x6c\x38\x5f\x33\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x63\x67\x72\
\x6f\x75\x70\x5f\x6c\x69\x6e\x6b\x2e\x63\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\
\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x63\x61\x6c\x6c\x73\
\x2c\x20\x31\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x31\x3b\0\x65\x67\x72\
\x65\x73\x73\x5f\x61\x6c\x74\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x65\
\x67\x72\x65\x73\x73\x32\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\
\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x61\x6c\x74\x5f\x63\x61\x6c\x6c\x73\
\x2c\x20\x31\x29\x3b\0\x63\x61\x6c\x6c\x73\0\x61\x6c\x74\x5f\x63\x61\x6c\x6c\
\x73\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\
\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\
\0\0\x24\0\0\0\x54\0\0\0\x78\0\0\0\0\0\0\0\x08\0\0\0\x7c\x01\0\0\x01\0\0\0\0\0\
\0\0\x10\0\0\0\x53\x02\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x10\0\0\0\x7c\x01\0\0\
\x02\0\0\0\0\0\0\0\x8f\x01\0\0\x1b\x02\0\0\x02\x30\0\0\x20\0\0\0\x8f\x01\0\0\
\x3d\x02\0\0\x02\x34\0\0\x53\x02\0\0\x02\0\0\0\0\0\0\0\x8f\x01\0\0\x66\x02\0\0\
\x02\x4c\0\0\x20\0\0\0\x8f\x01\0\0\x3d\x02\0\0\x02\x50\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\
\0\x30\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x34\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x24\x01\0\0\x04\0\xee\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\
\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\
\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x34\x30\
\x2e\x31\x30\x2e\x31\x2e\x65\x6c\x38\x5f\x33\x2f\x6c\x69\x6e\x75\x78\x2d\x34\
\x2e\x31\x38\x2e\x30\x2d\x32\x34\x30\x2e\x31\x30\x2e\x31\x2e\x65\x6c\x38\x5f\
\x33\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\0\0\x74\x65\x73\
\x74\x5f\x63\x67\x72\x6f\x75\x70\x5f\x6c\x69\x6e\x6b\x2e\x63\0\x01\0\0\x69\x6e\
\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\
\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\x62\x70\x66\x2e\x68\0\x03\0\0\x69\x6e\
\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\x74\x79\
\x70\x65\x73\x2e\x68\0\x03\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x0a\x01\x05\x02\
\x0a\x13\x4b\x02\x02\0\x01\x01\0\x09\x02\0\0\0\0\0\0\0\0\x03\x11\x01\x05\x02\
\x0a\x13\x4b\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x97\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x70\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x39\0\0\0\x11\0\
\x07\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x3d\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\x2d\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\
\x22\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\
\x06\0\0\0\x53\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\
\x04\0\0\0\x8b\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x02\
\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x03\0\
\0\0\x28\x03\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x34\x03\0\0\0\0\0\0\0\0\0\0\x05\0\0\
\0\x4c\x03\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x3c\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x60\0\
\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x88\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x38\0\0\0\0\0\0\
\0\x01\0\0\0\x03\0\0\0\xfb\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x13\x01\0\0\0\0\0\
\0\x01\0\0\0\x03\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\
\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x65\
\x67\x72\x65\x73\x73\x5f\x61\x6c\x74\0\x65\x67\x72\x65\x73\x73\0\x2e\x62\x73\
\x73\0\x61\x6c\x74\x5f\x63\x61\x6c\x6c\x73\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\
\x75\x67\x5f\x72\x61\x6e\x67\x65\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\
\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\
\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x74\x65\x73\x74\
\x5f\x63\x67\x72\x6f\x75\x70\x5f\x6c\x69\x6e\x6b\x2e\x63\0\x2e\x73\x74\x72\x74\
\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x2e\
\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x65\x67\x72\x65\x73\
\x73\x32\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x65\x67\
\x72\x65\x73\x73\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xaa\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x14\0\0\0\0\0\
\0\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xde\0\0\0\x01\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xda\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x50\x13\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x17\0\0\0\x03\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\xc7\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x70\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xc3\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x13\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x17\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x34\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\0\0\0\x01\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\0\0\0\x01\0\0\0\x30\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa4\0\0\0\0\0\0\0\x94\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x38\x04\0\0\0\0\0\0\xe3\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x64\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\
\x05\0\0\0\0\0\0\xe0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x60\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x13\0\0\0\0\0\
\0\x50\0\0\0\0\0\0\0\x17\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x47\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfb\x09\0\0\0\0\0\0\x30\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x13\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x17\
\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xbe\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\x0a\0\0\0\0\0\0\x3a\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xba\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x17\0\0\0\x0f\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x65\x10\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x14\0\0\0\0\
\0\0\x60\0\0\0\0\0\0\0\x17\0\0\0\x11\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x8d\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\0\0\0\x50\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x89\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x14\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x17\
\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7d\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x11\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb0\x14\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x17\0\0\0\x15\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb2\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x78\x12\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_CGROUP_LINK_SKEL_H__ */
