/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_STACKTRACE_BUILD_ID_SKEL_H__
#define __TEST_STACKTRACE_BUILD_ID_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_stacktrace_build_id {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *control_map;
		struct bpf_map *stackmap;
		struct bpf_map *stackid_hmap;
		struct bpf_map *stack_amap;
	} maps;
	struct {
		struct bpf_program *oncpu;
	} progs;
	struct {
		struct bpf_link *oncpu;
	} links;
};

static void
test_stacktrace_build_id__destroy(struct test_stacktrace_build_id *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_stacktrace_build_id__create_skeleton(struct test_stacktrace_build_id *obj);

static inline struct test_stacktrace_build_id *
test_stacktrace_build_id__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_stacktrace_build_id *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_stacktrace_build_id__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_stacktrace_build_id__destroy(obj);
	return NULL;
}

static inline struct test_stacktrace_build_id *
test_stacktrace_build_id__open(void)
{
	return test_stacktrace_build_id__open_opts(NULL);
}

static inline int
test_stacktrace_build_id__load(struct test_stacktrace_build_id *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_stacktrace_build_id *
test_stacktrace_build_id__open_and_load(void)
{
	struct test_stacktrace_build_id *obj;

	obj = test_stacktrace_build_id__open();
	if (!obj)
		return NULL;
	if (test_stacktrace_build_id__load(obj)) {
		test_stacktrace_build_id__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_stacktrace_build_id__attach(struct test_stacktrace_build_id *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_stacktrace_build_id__detach(struct test_stacktrace_build_id *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_stacktrace_build_id__create_skeleton(struct test_stacktrace_build_id *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_stacktrace_build_id";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (typeof(s->maps))calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "control_map";
	s->maps[0].map = &obj->maps.control_map;

	s->maps[1].name = "stackmap";
	s->maps[1].map = &obj->maps.stackmap;

	s->maps[2].name = "stackid_hmap";
	s->maps[2].map = &obj->maps.stackid_hmap;

	s->maps[3].name = "stack_amap";
	s->maps[3].map = &obj->maps.stack_amap;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "oncpu";
	s->progs[0].prog = &obj->progs.oncpu;
	s->progs[0].link = &obj->links.oncpu;

	s->data_sz = 8480;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa0\x1b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x16\0\
\x01\0\xbf\x16\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\x63\x1a\
\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x02\0\0\0\0\0\x61\x01\0\0\0\0\
\0\0\x56\x01\x1a\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb7\x03\0\0\0\x01\0\0\x85\0\0\0\x1b\0\0\0\x63\x0a\xfc\xff\0\0\0\0\xc6\0\
\x13\0\0\0\0\0\xbf\xa7\0\0\0\0\0\0\x07\x07\0\0\xfc\xff\xff\xff\xbf\xa3\0\0\0\0\
\0\0\x07\x03\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x72\0\
\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xbf\x72\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x05\0\0\0\0\0\xbf\x61\0\
\0\0\0\0\0\xbf\x02\0\0\0\0\0\0\xb4\x03\0\0\xe0\x0f\0\0\xb7\x04\0\0\0\x09\0\0\
\x85\0\0\0\x43\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x47\x50\x4c\0\x01\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\
\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\x31\x20\x28\x52\x65\x64\x20\x48\x61\
\x74\x20\x31\x30\x2e\x30\x2e\x31\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x2b\x65\
\x6c\x38\x2e\x33\x2e\x30\x2b\x37\x34\x35\x39\x2b\x39\x30\x63\x32\x34\x38\x39\
\x36\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x74\x61\x63\x6b\x74\
\x72\x61\x63\x65\x5f\x62\x75\x69\x6c\x64\x5f\x69\x64\x2e\x63\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x34\x30\x2e\x31\x30\
\x2e\x31\x2e\x65\x6c\x38\x5f\x33\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\
\x2e\x30\x2d\x32\x34\x30\x2e\x31\x30\x2e\x31\x2e\x65\x6c\x38\x5f\x33\x2e\x61\
\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x63\x6f\
\x6e\x74\x72\x6f\x6c\x5f\x6d\x61\x70\0\x74\x79\x70\x65\0\x69\x6e\x74\0\x6d\x61\
\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x73\
\x74\x61\x63\x6b\x69\x64\x5f\x68\x6d\x61\x70\0\x73\x74\x61\x63\x6b\x6d\x61\x70\
\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\
\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x73\x74\x61\x63\x6b\x5f\x61\x6d\x61\x70\
\0\x73\x74\x61\x74\x75\x73\0\x5f\x5f\x73\x33\x32\0\x62\x75\x69\x6c\x64\x5f\x69\
\x64\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x6f\x66\x66\x73\
\x65\x74\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x69\x70\0\x62\x70\x66\x5f\x73\x74\
\x61\x63\x6b\x5f\x62\x75\x69\x6c\x64\x5f\x69\x64\0\x73\x74\x61\x63\x6b\x5f\x74\
\x72\x61\x63\x65\x5f\x74\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\
\x70\x5f\x65\x6c\x65\x6d\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\
\x69\x64\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\
\x65\x6d\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\0\x42\x50\x46\
\x5f\x46\x5f\x53\x4b\x49\x50\x5f\x46\x49\x45\x4c\x44\x5f\x4d\x41\x53\x4b\0\x42\
\x50\x46\x5f\x46\x5f\x55\x53\x45\x52\x5f\x53\x54\x41\x43\x4b\0\x42\x50\x46\x5f\
\x46\x5f\x46\x41\x53\x54\x5f\x53\x54\x41\x43\x4b\x5f\x43\x4d\x50\0\x42\x50\x46\
\x5f\x46\x5f\x52\x45\x55\x53\x45\x5f\x53\x54\x41\x43\x4b\x49\x44\0\x42\x50\x46\
\x5f\x46\x5f\x55\x53\x45\x52\x5f\x42\x55\x49\x4c\x44\x5f\x49\x44\0\x6f\x6e\x63\
\x70\x75\0\x61\x72\x67\x73\0\x70\x61\x64\0\x67\x6f\x74\x5f\x62\x69\x74\x73\0\
\x70\x6f\x6f\x6c\x5f\x6c\x65\x66\x74\0\x69\x6e\x70\x75\x74\x5f\x6c\x65\x66\x74\
\0\x72\x61\x6e\x64\x6f\x6d\x5f\x75\x72\x61\x6e\x64\x6f\x6d\x5f\x61\x72\x67\x73\
\0\x6d\x61\x78\x5f\x6c\x65\x6e\0\x76\x61\x6c\0\x76\x61\x6c\x75\x65\x5f\x70\0\
\x73\x74\x61\x63\x6b\x5f\x70\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\x51\x10\
\0\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\x01\0\x56\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\x30\x9f\x20\0\0\0\0\0\0\0\x88\0\0\0\
\0\0\0\0\x02\0\x7a\x04\x88\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x01\0\x50\x98\0\0\0\
\0\0\0\0\x30\x01\0\0\0\0\0\0\x02\0\x7a\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\
\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x02\0\x30\x9f\x98\0\0\0\0\0\0\0\x30\x01\0\0\0\
\0\0\0\x02\0\x7a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x88\0\0\0\
\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\x30\x01\0\
\0\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\
\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\
\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\
\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\
\x0b\0\0\x07\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x08\x13\x01\x0b\x0b\x3a\
\x0b\x3b\x0b\0\0\x09\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x0a\x0f\
\0\x49\x13\0\0\x0b\x21\0\x49\x13\x37\x05\0\0\x0c\x13\x01\x03\x0e\x0b\x0b\x3a\
\x0b\x3b\x05\0\0\x0d\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x0e\x0d\
\0\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x0f\x17\x01\x0b\x0b\x3a\x0b\x3b\x05\0\0\
\x10\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\0\0\x11\x15\x01\x49\x13\x27\x19\0\0\
\x12\x05\0\x49\x13\0\0\x13\x0f\0\0\0\x14\x26\0\0\0\x15\x34\0\x03\x0e\x49\x13\
\x3a\x0b\x3b\x05\0\0\x16\x04\x01\x49\x13\x0b\x0b\x3a\x0b\x3b\x05\0\0\x17\x28\0\
\x03\x0e\x1c\x0f\0\0\x18\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\
\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x19\x05\0\x02\x17\x03\x0e\x3a\x0b\
\x3b\x0b\x49\x13\0\0\x1a\x34\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x1b\
\x34\0\x1c\x0f\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x1c\x13\x01\x03\x0e\x0b\x0b\
\x3a\x0b\x3b\x0b\0\0\0\x5f\x04\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x45\0\0\
\0\0\0\0\0\x66\0\0\0\0\0\0\0\0\0\0\0\x40\x01\0\0\x02\xd9\0\0\0\x3f\0\0\0\x01\
\x4b\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\xe2\0\0\0\
\x06\x01\x06\xe7\0\0\0\x08\x07\x02\xfb\0\0\0\x6e\0\0\0\x01\x4c\x09\x03\0\0\0\0\
\0\0\0\0\x07\x79\0\0\0\x11\x01\0\0\x02\x1b\x05\x04\x01\0\0\x07\x04\x02\x17\x01\
\0\0\x95\0\0\0\x01\x10\x09\x03\0\0\0\0\0\0\0\0\x08\x20\x01\x0b\x09\x23\x01\0\0\
\xca\0\0\0\x01\x0c\0\x09\x2c\x01\0\0\xe2\0\0\0\x01\x0d\x08\x09\x38\x01\0\0\xf3\
\0\0\0\x01\x0e\x10\x09\x3c\x01\0\0\xf3\0\0\0\x01\x0f\x18\0\x0a\xcf\0\0\0\x03\
\xdb\0\0\0\x04\x52\0\0\0\x02\0\x05\x28\x01\0\0\x05\x04\x0a\xe7\0\0\0\x03\xdb\0\
\0\0\x04\x52\0\0\0\x01\0\x0a\x6e\0\0\0\x02\x42\x01\0\0\x0d\x01\0\0\x01\x17\x09\
\x03\0\0\0\0\0\0\0\0\x08\x20\x01\x12\x09\x23\x01\0\0\xe2\0\0\0\x01\x13\0\x09\
\x2c\x01\0\0\x42\x01\0\0\x01\x14\x08\x09\x38\x01\0\0\xf3\0\0\0\x01\x15\x10\x09\
\x3c\x01\0\0\xf3\0\0\0\x01\x16\x18\0\x0a\x47\x01\0\0\x03\xdb\0\0\0\x0b\x52\0\0\
\0\0\x40\0\x02\x4f\x01\0\0\x69\x01\0\0\x01\x21\x09\x03\0\0\0\0\0\0\0\0\x08\x28\
\x01\x1b\x09\x23\x01\0\0\xaa\x01\0\0\x01\x1c\0\x09\x2c\x01\0\0\xbb\x01\0\0\x01\
\x1d\x08\x09\x58\x01\0\0\xcc\x01\0\0\x01\x1e\x10\x09\x62\x01\0\0\xdd\x01\0\0\
\x01\x1f\x18\x09\x6b\x01\0\0\xee\x01\0\0\x01\x20\x20\0\x0a\xaf\x01\0\0\x03\xdb\
\0\0\0\x04\x52\0\0\0\x07\0\x0a\xc0\x01\0\0\x03\xdb\0\0\0\x04\x52\0\0\0\x80\0\
\x0a\xd1\x01\0\0\x03\xdb\0\0\0\x04\x52\0\0\0\x20\0\x0a\xe2\x01\0\0\x03\xdb\0\0\
\0\x04\x52\0\0\0\x04\0\x0a\xf3\x01\0\0\x03\xdb\0\0\0\x0b\x52\0\0\0\xe0\x0f\0\
\x02\x76\x01\0\0\x15\x02\0\0\x01\x28\x09\x03\0\0\0\0\0\0\0\0\x08\x20\x01\x23\
\x09\x23\x01\0\0\xca\0\0\0\x01\x24\0\x09\x2c\x01\0\0\xbb\x01\0\0\x01\x25\x08\
\x09\x38\x01\0\0\xf3\0\0\0\x01\x26\x10\x09\x3c\x01\0\0\x4a\x02\0\0\x01\x27\x18\
\0\x0a\x4f\x02\0\0\x07\x5a\x02\0\0\xdf\x01\0\0\x01\x19\x03\x66\x02\0\0\x04\x52\
\0\0\0\x7f\0\x0c\xcc\x01\0\0\x20\x03\x88\x01\x0d\x81\x01\0\0\xb3\x02\0\0\x03\
\x89\x01\0\x0d\x8e\x01\0\0\xbe\x02\0\0\x03\x8a\x01\x04\x0e\x92\x02\0\0\x03\x8b\
\x01\x18\x0f\x08\x03\x8b\x01\x0d\xa5\x01\0\0\xd1\x02\0\0\x03\x8c\x01\0\x0d\xc9\
\x01\0\0\xd1\x02\0\0\x03\x8d\x01\0\0\0\x07\xdb\0\0\0\x88\x01\0\0\x02\x1a\x03\
\xca\x02\0\0\x04\x52\0\0\0\x14\0\x05\x97\x01\0\0\x08\x01\x07\xdc\x02\0\0\xc3\
\x01\0\0\x02\x1f\x05\xac\x01\0\0\x07\x08\x10\xed\x01\0\0\xee\x02\0\0\x04\x22\
\x0a\xf3\x02\0\0\x11\x03\x03\0\0\x12\x03\x03\0\0\x12\x04\x03\0\0\0\x13\x0a\x09\
\x03\0\0\x14\x15\x01\x02\0\0\x16\x03\0\0\x04\xde\x02\x0a\x1b\x03\0\0\x11\xdb\0\
\0\0\x12\x03\x03\0\0\x12\x03\x03\0\0\x12\xd1\x02\0\0\0\x10\x11\x02\0\0\x3b\x03\
\0\0\x04\x38\x0a\x40\x03\0\0\x11\xdb\0\0\0\x12\x03\x03\0\0\x12\x04\x03\0\0\x12\
\x04\x03\0\0\x12\xd1\x02\0\0\0\x15\x25\x02\0\0\x66\x03\0\0\x04\xa6\x06\x0a\x6b\
\x03\0\0\x11\xdb\0\0\0\x12\x03\x03\0\0\x12\x03\x03\0\0\x12\x6e\0\0\0\x12\xd1\
\x02\0\0\0\x16\x79\0\0\0\x04\x03\x7f\x0c\x17\x33\x02\0\0\xff\x01\x17\x49\x02\0\
\0\x80\x02\x17\x5a\x02\0\0\x80\x04\x17\x6f\x02\0\0\x80\x08\x17\x83\x02\0\0\x80\
\x10\0\x18\0\0\0\0\0\0\0\0\x40\x01\0\0\x01\x5a\x97\x02\0\0\x01\x33\xdb\0\0\0\
\x19\0\0\0\0\x9d\x02\0\0\x01\x33\x24\x04\0\0\x1a\x36\0\0\0\x38\x01\0\0\x01\x37\
\x6e\0\0\0\x1b\xe0\x1f\xd8\x02\0\0\x01\x35\x6e\0\0\0\x1a\x95\0\0\0\xe0\x02\0\0\
\x01\x37\x6e\0\0\0\x1a\xcd\0\0\0\xe4\x02\0\0\x01\x37\xf3\0\0\0\x1a\xf0\0\0\0\
\xec\x02\0\0\x01\x38\x03\x03\0\0\0\x0a\x29\x04\0\0\x1c\xc4\x02\0\0\x18\x01\x2b\
\x09\xa2\x02\0\0\xdc\x02\0\0\x01\x2c\0\x09\xa6\x02\0\0\xdb\0\0\0\x01\x2d\x08\
\x09\xaf\x02\0\0\xdb\0\0\0\x01\x2e\x0c\x09\xb9\x02\0\0\xdb\0\0\0\x01\x2f\x10\0\
\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x94\x04\0\0\x94\x04\0\0\xb0\x03\0\0\0\0\0\0\
\x04\0\0\x04\x20\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\x06\0\0\0\x06\0\0\0\x40\0\0\
\0\x12\0\0\0\x08\0\0\0\x80\0\0\0\x16\0\0\0\x08\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\
\x02\x04\0\0\0\x1c\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\x03\0\0\0\x05\0\0\0\x02\0\0\0\x20\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\x02\x07\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x05\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\x02\x09\0\0\0\x34\0\0\0\0\0\0\x08\x0a\0\0\0\x3a\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\x47\0\0\0\0\0\0\x0e\x01\0\0\0\x01\0\0\0\0\0\0\0\x05\0\
\0\x04\x28\0\0\0\x01\0\0\0\x0d\0\0\0\0\0\0\0\x06\0\0\0\x0f\0\0\0\x40\0\0\0\x53\
\0\0\0\x11\0\0\0\x80\0\0\0\x5d\0\0\0\x13\0\0\0\xc0\0\0\0\x66\0\0\0\x15\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\x02\x0e\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x05\0\
\0\0\x07\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\
\x05\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\x02\x12\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\
\0\0\0\x05\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x14\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\0\x03\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x02\x16\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\0\x03\0\0\0\x05\0\0\0\xe0\x0f\0\0\x71\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\
\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\x06\0\0\0\x19\0\0\
\0\x40\0\0\0\x12\0\0\0\x08\0\0\0\x80\0\0\0\x16\0\0\0\x08\0\0\0\xc0\0\0\0\0\0\0\
\0\0\0\0\x02\x1a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x05\0\0\0\0\x40\0\0\
\x7a\0\0\0\0\0\0\x0e\x18\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x01\0\0\
\0\x02\0\0\0\0\0\0\0\x06\0\0\0\x0f\0\0\0\x40\0\0\0\x12\0\0\0\x08\0\0\0\x80\0\0\
\0\x16\0\0\0\x1d\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x02\x1e\0\0\0\x87\0\0\0\0\0\0\
\x08\x26\0\0\0\x95\0\0\0\x03\0\0\x04\x20\0\0\0\xa8\0\0\0\x20\0\0\0\0\0\0\0\xaf\
\0\0\0\x22\0\0\0\x20\0\0\0\0\0\0\0\x23\0\0\0\xc0\0\0\0\xb8\0\0\0\0\0\0\x08\x03\
\0\0\0\xbe\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x21\0\
\0\0\x05\0\0\0\x14\0\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\xcc\0\0\0\x24\0\0\0\0\0\
\0\0\xd3\0\0\0\x24\0\0\0\0\0\0\0\xd6\0\0\0\0\0\0\x08\x25\0\0\0\xdc\0\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1f\0\0\0\x05\0\0\0\x7f\0\0\
\0\xf3\0\0\0\0\0\0\x0e\x1c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x29\0\0\0\xfe\0\0\
\0\x04\0\0\x04\x18\0\0\0\x12\x01\0\0\x25\0\0\0\0\0\0\0\x16\x01\0\0\x03\0\0\0\
\x40\0\0\0\x1f\x01\0\0\x03\0\0\0\x60\0\0\0\x29\x01\0\0\x03\0\0\0\x80\0\0\0\0\0\
\0\0\x01\0\0\x0d\x03\0\0\0\x34\x01\0\0\x28\0\0\0\x39\x01\0\0\x01\0\0\x0c\x2a\0\
\0\0\x83\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x2c\
\0\0\0\x05\0\0\0\x04\0\0\0\x88\x03\0\0\0\0\0\x0e\x2d\0\0\0\x01\0\0\0\x91\x03\0\
\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x9a\x03\0\0\x04\0\0\x0f\0\0\0\0\x0b\0\0\0\0\0\
\0\0\x20\0\0\0\x17\0\0\0\0\0\0\0\x28\0\0\0\x1b\0\0\0\0\0\0\0\x20\0\0\0\x27\0\0\
\0\0\0\0\0\x20\0\0\0\xa0\x03\0\0\x01\0\0\x0f\0\0\0\0\x2e\0\0\0\0\0\0\0\x04\0\0\
\0\xa8\x03\0\0\x01\0\0\x0f\0\0\0\0\x2f\0\0\0\0\0\0\0\x04\0\0\0\0\x74\x79\x70\
\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\
\x75\x65\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x63\x6f\x6e\x74\x72\x6f\x6c\x5f\x6d\x61\x70\0\x6d\x61\
\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\
\x75\x65\x5f\x73\x69\x7a\x65\0\x73\x74\x61\x63\x6b\x6d\x61\x70\0\x73\x74\x61\
\x63\x6b\x69\x64\x5f\x68\x6d\x61\x70\0\x73\x74\x61\x63\x6b\x5f\x74\x72\x61\x63\
\x65\x5f\x74\0\x62\x70\x66\x5f\x73\x74\x61\x63\x6b\x5f\x62\x75\x69\x6c\x64\x5f\
\x69\x64\0\x73\x74\x61\x74\x75\x73\0\x62\x75\x69\x6c\x64\x5f\x69\x64\0\x5f\x5f\
\x73\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x6f\x66\
\x66\x73\x65\x74\0\x69\x70\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x73\x74\x61\x63\
\x6b\x5f\x61\x6d\x61\x70\0\x72\x61\x6e\x64\x6f\x6d\x5f\x75\x72\x61\x6e\x64\x6f\
\x6d\x5f\x61\x72\x67\x73\0\x70\x61\x64\0\x67\x6f\x74\x5f\x62\x69\x74\x73\0\x70\
\x6f\x6f\x6c\x5f\x6c\x65\x66\x74\0\x69\x6e\x70\x75\x74\x5f\x6c\x65\x66\x74\0\
\x61\x72\x67\x73\0\x6f\x6e\x63\x70\x75\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\
\x74\x2f\x72\x61\x6e\x64\x6f\x6d\x2f\x75\x72\x61\x6e\x64\x6f\x6d\x5f\x72\x65\
\x61\x64\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x32\x34\x30\x2e\x31\x30\x2e\x31\x2e\x65\x6c\x38\x5f\x33\x2f\x6c\x69\x6e\x75\
\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x34\x30\x2e\x31\x30\x2e\x31\x2e\x65\
\x6c\x38\x5f\x33\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x74\x61\x63\x6b\
\x74\x72\x61\x63\x65\x5f\x62\x75\x69\x6c\x64\x5f\x69\x64\x2e\x63\0\x69\x6e\x74\
\x20\x6f\x6e\x63\x70\x75\x28\x73\x74\x72\x75\x63\x74\x20\x72\x61\x6e\x64\x6f\
\x6d\x5f\x75\x72\x61\x6e\x64\x6f\x6d\x5f\x61\x72\x67\x73\x20\x2a\x61\x72\x67\
\x73\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x6b\x65\x79\x20\x3d\x20\x30\x2c\x20\x76\
\x61\x6c\x20\x3d\x20\x30\x2c\x20\x2a\x76\x61\x6c\x75\x65\x5f\x70\x3b\0\x09\x76\
\x61\x6c\x75\x65\x5f\x70\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\
\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x63\x6f\x6e\x74\x72\x6f\x6c\x5f\
\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x76\x61\x6c\
\x75\x65\x5f\x70\x20\x26\x26\x20\x2a\x76\x61\x6c\x75\x65\x5f\x70\x29\0\x09\x6b\
\x65\x79\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x69\
\x64\x28\x61\x72\x67\x73\x2c\x20\x26\x73\x74\x61\x63\x6b\x6d\x61\x70\x2c\x20\
\x42\x50\x46\x5f\x46\x5f\x55\x53\x45\x52\x5f\x53\x54\x41\x43\x4b\x29\x3b\0\x09\
\x69\x66\x20\x28\x28\x69\x6e\x74\x29\x6b\x65\x79\x20\x3e\x3d\x20\x30\x29\x20\
\x7b\0\x09\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\
\x6c\x65\x6d\x28\x26\x73\x74\x61\x63\x6b\x69\x64\x5f\x68\x6d\x61\x70\x2c\x20\
\x26\x6b\x65\x79\x2c\x20\x26\x76\x61\x6c\x2c\x20\x30\x29\x3b\0\x09\x09\x73\x74\
\x61\x63\x6b\x5f\x70\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\
\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x73\x74\x61\x63\x6b\x5f\x61\x6d\x61\
\x70\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x09\x69\x66\x20\x28\x73\x74\x61\x63\
\x6b\x5f\x70\x29\0\x09\x09\x09\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\
\x6b\x28\x61\x72\x67\x73\x2c\x20\x73\x74\x61\x63\x6b\x5f\x70\x2c\x20\x6d\x61\
\x78\x5f\x6c\x65\x6e\x2c\0\x7d\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x76\x65\x72\x73\x69\x6f\x6e\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x14\0\0\0\x14\0\0\0\x1c\x01\0\0\x30\x01\0\0\0\0\0\0\x08\0\0\0\x3f\x01\0\0\x01\
\0\0\0\0\0\0\0\x2b\0\0\0\x10\0\0\0\x3f\x01\0\0\x11\0\0\0\0\0\0\0\x5e\x01\0\0\
\xf2\x01\0\0\0\xcc\0\0\x10\0\0\0\x5e\x01\0\0\x1e\x02\0\0\x08\xdc\0\0\x18\0\0\0\
\x5e\x01\0\0\x1e\x02\0\0\x11\xdc\0\0\x28\0\0\0\x5e\x01\0\0\0\0\0\0\0\0\0\0\x30\
\0\0\0\x5e\x01\0\0\x41\x02\0\0\x0c\xe8\0\0\x48\0\0\0\x5e\x01\0\0\x75\x02\0\0\
\x0e\xec\0\0\x50\0\0\0\x5e\x01\0\0\x75\x02\0\0\x11\xec\0\0\x58\0\0\0\x5e\x01\0\
\0\x75\x02\0\0\x06\xec\0\0\x60\0\0\0\x5e\x01\0\0\x8f\x02\0\0\x08\xfc\0\0\x88\0\
\0\0\x5e\x01\0\0\x8f\x02\0\0\x06\xfc\0\0\x90\0\0\0\x5e\x01\0\0\xca\x02\0\0\x06\
\0\x01\0\xa0\0\0\0\x5e\x01\0\0\0\0\0\0\0\0\0\0\xb8\0\0\0\x5e\x01\0\0\xe0\x02\0\
\0\x03\x04\x01\0\xe0\0\0\0\x5e\x01\0\0\x15\x03\0\0\x0d\x08\x01\0\0\x01\0\0\x5e\
\x01\0\0\x49\x03\0\0\x07\x0c\x01\0\x08\x01\0\0\x5e\x01\0\0\x58\x03\0\0\x04\x10\
\x01\0\x30\x01\0\0\x5e\x01\0\0\x81\x03\0\0\x01\x24\x01\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\
\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\x54\x01\0\0\x04\0\xff\0\0\0\x08\x01\x01\xfb\
\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\
\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\
\x69\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x32\x34\x30\x2e\x31\x30\x2e\x31\x2e\x65\x6c\x38\x5f\x33\x2f\x6c\x69\x6e\x75\
\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x34\x30\x2e\x31\x30\x2e\x31\x2e\x65\
\x6c\x38\x5f\x33\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\0\x74\
\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\0\x74\x65\
\x73\x74\x5f\x73\x74\x61\x63\x6b\x74\x72\x61\x63\x65\x5f\x62\x75\x69\x6c\x64\
\x5f\x69\x64\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\
\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\
\x62\x70\x66\x2e\x68\0\x03\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\
\x65\x66\x73\x2e\x68\0\x04\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x33\x01\x05\x08\
\x0a\x31\x05\x11\x06\x20\x03\x49\x20\x05\x0c\x06\x03\x3a\x2e\x05\x0e\x3d\x05\
\x11\x06\x20\x05\x06\x20\x05\x08\x06\x24\x05\x06\x06\x58\x06\x21\x06\x03\x40\
\x20\x05\x03\x06\x03\xc1\0\x4a\x05\x0d\x59\x05\x07\x4b\x05\x04\x21\x05\x01\x5d\
\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd4\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\x03\0\x60\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\x01\0\0\0\0\x03\0\x30\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7f\0\0\0\x11\0\x06\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x76\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\x5a\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x0f\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\x4f\0\0\0\x11\0\x05\0\x68\0\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\x42\0\0\0\x11\0\x05\0\x48\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\x39\0\0\0\x11\0\x05\0\x20\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x30\0\0\0\0\
\0\0\0\x01\0\0\0\x07\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xb8\0\0\0\0\0\
\0\0\x01\0\0\0\x0a\0\0\0\xe0\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x1e\0\0\0\0\0\0\
\0\x01\0\0\0\x04\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x66\0\0\0\0\0\0\0\
\x01\0\0\0\x06\0\0\0\x8d\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x05\x01\0\0\0\0\0\0\
\x01\0\0\0\x0a\0\0\0\x61\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x0d\x02\0\0\0\0\0\
\0\x01\0\0\0\x09\0\0\0\xb3\x03\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x50\x04\0\0\0\0\
\0\0\0\0\0\0\x07\0\0\0\x5c\x04\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x68\x04\0\0\0\0\0\
\0\0\0\0\0\x0a\0\0\0\x74\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x8c\x04\0\0\0\0\0\0\
\0\0\0\0\x05\0\0\0\xa4\x04\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x2c\0\0\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\xa0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xc0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xe0\0\0\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\x10\x01\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x20\x01\0\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\x30\x01\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x40\x01\0\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x0c\x01\0\0\0\0\0\0\x01\0\
\0\0\x04\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x6f\x6e\
\x63\x70\x75\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\x2e\x6d\x61\x70\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x73\
\x74\x61\x63\x6b\x6d\x61\x70\0\x73\x74\x61\x63\x6b\x69\x64\x5f\x68\x6d\x61\x70\
\0\x73\x74\x61\x63\x6b\x5f\x61\x6d\x61\x70\0\x63\x6f\x6e\x74\x72\x6f\x6c\x5f\
\x6d\x61\x70\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\
\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\
\x68\x5f\x66\x72\x61\x6d\x65\0\x2e\x72\x65\x6c\x74\x72\x61\x63\x65\x70\x6f\x69\
\x6e\x74\x2f\x72\x61\x6e\x64\x6f\x6d\x2f\x75\x72\x61\x6e\x64\x6f\x6d\x5f\x72\
\x65\x61\x64\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x74\x65\x73\x74\x5f\
\x73\x74\x61\x63\x6b\x74\x72\x61\x63\x65\x5f\x62\x75\x69\x6c\x64\x5f\x69\x64\
\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\
\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x35\0\x4c\x42\x42\x30\x5f\x32\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xef\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x1a\0\0\0\0\0\0\x16\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xaa\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa6\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x18\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\x15\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x28\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\x88\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x77\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\xf4\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\xc9\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\x05\0\0\0\0\0\0\x13\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\x06\0\0\0\
\0\0\0\x54\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x6a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6b\x07\0\0\0\0\0\0\x63\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x18\0\0\0\0\0\0\x80\0\0\0\0\0\0\
\0\x15\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x03\x01\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xce\x0b\0\0\0\0\0\0\x5c\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\0\0\0\x09\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xe8\x18\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x15\0\0\0\x0d\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x2a\x14\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\
\x19\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x15\0\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x9c\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x15\0\
\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x98\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x1a\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x15\0\0\0\x11\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x8c\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x15\0\0\0\0\0\0\x58\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x1a\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x15\0\0\0\
\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf7\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\x17\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\x05\0\0\
\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_STACKTRACE_BUILD_ID_SKEL_H__ */
